Sign me up Login

Details about package python-botocore

Name: python-botocore (PTS)
Uploader: Shane Frasier <maverick@maverickdolphin.com> (Debian QA page)
Description: python3-botocore - Low-level, data-driven core of boto 3 (Python 3)

Package uploads

Upload #1

Information

Version: 1.20.0+repack-1~bpo10+1
Uploaded: 2021-04-15 02:56
Source package: python-botocore_1.20.0+repack-1~bpo10+1.dsc
Distribution: buster-backports
Section: python
Priority: optional
Homepage: https://github.com/boto/botocore
Vcs-Git: https://salsa.debian.org/python-team/modules/python-botocore.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-botocore
Closes bugs: #937619 #965092

Changelog

 python-botocore (1.20.0+repack-1~bpo10+1) buster-backports; urgency=medium
 .
   * Rebuild for buster-backports.
 .
 python-botocore (1.20.0+repack-1) unstable; urgency=medium
 .
   * strip shortbreadv1.js from upstream source
   * New upstream version 1.20.0+repack
 .
 python-botocore (1.19.63+repack-1) unstable; urgency=medium
 .
   * New upstream version 1.19.59+repack
   * Note Breaks relationship with older awscli packages due to upstream
     refactor in which a component previously included in botocore was
     moved to awscli
 .
 python-botocore (1.17.22+repack-1) unstable; urgency=medium
 .
   * New upstream version (Closes: #965092)
 .
 python-botocore (1.17.9+repack-1) unstable; urgency=medium
 .
   * New upstream version 1.17.9+repack
   * Change Maintainer to Debian Cloud Team as discussed at
     https://lists.debian.org/debian-cloud/2020/06/msg00078.html and add myself
     to Uploaders
 .
 python-botocore (1.16.19+repack-1) unstable; urgency=medium
 .
   * New upstream version 1.16.19+repack
 .
 python-botocore (1.15.46+repack-1) unstable; urgency=medium
 .
   * New upstream version 1.15.46+repack
 .
 python-botocore (1.15.26+repack-1) unstable; urgency=medium
 .
   * New upstream version 1.15.26+repack
 .
 python-botocore (1.15.21+repack-1) unstable; urgency=medium
 .
   * New upstream version 1.15.21+repack
   * Refresh patch 0001-Don-t-use-duplicated-modules.patch
 .
 python-botocore (1.14.14+repack-1) unstable; urgency=medium
 .
   * New upstream version 1.14.14+repack
   * Set upstream metadata fields: Bug-Database, Bug-Submit.
   * Bump Standards-Version to 4.5.0
 .
 python-botocore (1.13.37+repack-1) unstable; urgency=medium
 .
   * Set upstream metadata fields: Repository, Repository-Browse.
   * New upstream version 1.13.37+repack
 .
 python-botocore (1.13.19+repack-1) unstable; urgency=medium
 .
   * New upstream version 1.13.19+repack
 .
 python-botocore (1.12.241+repack-2) unstable; urgency=medium
 .
   [ Ondřej Nový ]
   * Bump Standards-Version to 4.4.1.
   * d/changelog: Remove trailing whitespaces.
 .
   [ Sandro Tosi ]
   * Drop python2 support; Closes: #937619
 .
 python-botocore (1.12.241+repack-1) unstable; urgency=medium
 .
   * New upstream version 1.12.241+repack
   * Set upstream metadata fields: Repository.
   * Add debian/salsa-ci.yml.
 .
 python-botocore (1.12.208+repack-1) unstable; urgency=medium
 .
   * New upstream version 1.12.208+repack
 .
 python-botocore (1.12.200+repack-1) unstable; urgency=medium
 .
   * New upstream version 1.12.200+repack
   * Use debhelper-compat instead of debian/compat.
   * Bump Standards-Version to 4.4.0.

QA information

Comments

  1. I created this backport because the version of botocore currently in Buster is too old to know about IMDSv2 (Instance Meta-data Service).  All of our instances enforce the more secure IMDSv2, and Bullseye is not yet released, so for us this is a requirement for using Debian in our AWS deployments.
    Shane Frasier at April 15, 2021, 7:46 p.m.